nfsiostat(8)

NUME
nfsiostat - emulează «iostat» pentru punctele de montare NFS folosind „/proc/self/mountstats”

SINOPSIS
nfsiostat [[<interval>] [<număr>]] [<opțiuni>][<punct-montare>]

DESCRIERE
Comanda nfsiostat afișează statisticile privind clientul NFS pentru fiecare montare.

<interval>
    specifică perioada de timp, exprimată în secunde, dintre fiecare raport. Primul raport conține statistici pentru timpul scurs de când a fost montat fiecare sistem de fișiere. Fiecare raport ulterior conține statistici colectate în intervalul de timp de la raportul anterior.

<număr>
    Dacă este specificat parametrul <count>, valoarea lui <count> determină numărul de rapoarte generate la interval de <interval> secunde; dacă parametrul interval este specificat fără parametrul <count>, comanda generează rapoarte în mod continuu.

<opțiuni>
    Definiția mai jos

<punct-montare>
    Dacă sunt specificate unul sau mai multe nume de <puncte de montare>, vor fi afișate statistici numai pentru aceste puncte de montare. În caz contrar, sunt listate toate punctele de montare NFS de pe client.

Semnificația fiecărei coloane din ieșirea lui nfsiostat este următoarea:
    - op/s
        Acesta este numărul de operații pe secundă.
    - rpc bklog
        Aceasta este lungimea cozii de jurnalizare.
    - ko/s
        Acesta este numărul de ko scris/citit pe secundă.
    - ko/op
        Acesta este numărul de ko scris/citit pentru fiecare operație.
    - retrans
        Acesta este numărul de retransmisii.
    - avg RTT (ms)
        Aceasta este durata de la momentul în care nucleul clientului trimite cererea RPC până la momentul în care primește răspunsul.
    - avg exe (ms)
        Aceasta este durata de la momentul în care clientul NFS face cererea RPC către nucleul său până când cererea RPC este finalizată; aceasta include timpul RTT de mai sus.
    - avg queue (ms)
        Aceasta este durata de la momentul în care clientul NFS a creat sarcina de cerere RPC până la momentul în care cererea este transmisă.
    - errors
        Acesta este numărul de operații care s-au încheiat cu o stare de eroare (starea < 0). Această numărătoare este disponibilă numai pe nucleele cu RPC iostats versiunea 1.1 sau superioară.

Rețineți că, dacă un interval este utilizat ca argument pentru nfsiostat, atunci va fi afișată diferența față de intervalul anterior, în caz contrar, rezultatele vor fi din momentul în care a fost montat partajul.

OPȚIUNI

-a  sau  --attr
    afișează statisticile referitoare la memoria cache a atributelor

-d  sau  --dir
    afișează statisticile legate de operațiile din directoare

-h  sau  --help
    afișează un mesaj de ajutor și iese

-l LISTA sau  --list=LISTA
    afișează statistici doar pentru primele puncte de montare din LISTĂ

-p  sau  --page
    afișează statisticile legate de memoria cache a paginii

-s  sau  --sort
    Sortează punctele de montare NFS în funcție de ops/secundă

--version
    afișează numărul versiunii programului și iese

FIȘIERE

/proc/self/mountstats

CONSULTAȚI ȘI
iostat(8), mountstats(8), nfsstat(8)

AUTOR
Chuck Lever <chuck.lever@oracle.com>

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.